Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/user-management/users

Prev Next
Get
/public/v1/user-management/users

Retrieves a paginated list of users for the tenant. Supports filtering by modification date range, location IDs, brand names, and email addresses. Use the continuationToken from the previous response to retrieve the next page.

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
ModifiedOnStart
string

Modified after

ModifiedOnEnd
string

Modified before

LocationsIds
string

Locations IDs to filter by (comma-separated)

PageSize
integer (int32)

Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response

Brands
string

Brands names to filter by (comma-separated)

UserEmails
string

User emails to filter by (comma-separated)

ContinuationToken
string

Pagination token returned from a previous response. Omit to start from the first page

Responses
200

Users

Expand All
object
entities
Array of object (R365.Netcore.Public.Contracts.Users.Models.User)
object
id
string (uuid)

Unique identifier of the user.

fullName
string
username
string
defaultLocation
object (R365.Netcore.Public.Contracts.Users.Models.Location)
id
string (uuid)

Unique identifier of the location.

name
string

Display name of the location.

number
string

Number assigned to the location.

mobileNumber
string
email
string
inactive
boolean

Indicates whether the user is inactive.

allLocationsAccess
boolean
allBrandFranchiseeLocationAccess
boolean
allReportsAccess
boolean
canGrantAccessBeyondPersonalLevel
boolean
userRoles
Array of object (R365.Netcore.Public.Contracts.Users.Models.Role)
object
id
string (uuid)

Unique identifier of the role.

name
string

Display name of the role.

reportRoles
Array of object (R365.Netcore.Public.Contracts.Users.Models.Role)
object
id
string (uuid)

Unique identifier of the role.

name
string

Display name of the role.

locations
Array of object (R365.Netcore.Public.Contracts.Users.Models.Location)
object
id
string (uuid)

Unique identifier of the location.

name
string

Display name of the location.

number
string

Number assigned to the location.

externalLocations
Array of object (R365.Netcore.Public.Contracts.Users.Models.Location)
object
id
string (uuid)

Unique identifier of the location.

name
string

Display name of the location.

number
string

Number assigned to the location.

subGroupValues
Array of object (R365.Netcore.Public.Contracts.Users.Models.OptionWithLocationGroup)
object
id
integer (int32)

Unique identifier of the option with location group.

subGroupValue
string | null
locationGroup
object (R365.Netcore.Contracts.Users.Models.EntityReferenceLongGet)
id
integer (int64)

Unique identifier of the entity reference long.

name
string | null

Display name of the entity reference long.

nextPage
string | null

URL to retrieve the next page of results, or null when this is the last page.